Package com.io7m.idstore.protocol.admin

# Record Class IdACommandAdminUpdateCredentials

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.IdACommandAdminUpdateCredentials

Record Components:
  `admin` - The admin to be updated
  `idName` - The admin's ID name
  `realName` - The admin's realname
  `password` - The admin's password

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBCommandType`, `com.io7m.hibiscus.api.HBMessageType`, `IdACommandType<IdAResponseAdminUpdate>`, `IdAMessageType`, `IdProtocolMessageType`

public record IdACommandAdminUpdateCredentials(UUID admin, Optional<IdName> idName, Optional<IdRealName> realName, Optional<IdPassword> password) extends Record implements IdACommandType<IdAResponseAdminUpdate>
Update the given admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACommandAdminUpdateCredentials(UUID admin, Optional<IdName> idName, Optional<IdRealName> realName, Optional<IdPassword> password)`
  Update the given admin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `admin()`
  Returns the value of the `admin` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<IdName>`
  `idName()`
  Returns the value of the `idName` record component.
  `Optional<IdPassword>`
  `password()`
  Returns the value of the `password` record component.
  `Optional<IdRealName>`
  `realName()`
  Returns the value of the `realName` record component.
  `Class<IdAResponseAdminUpdate>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdACommandAdminUpdateCredentials

    public IdACommandAdminUpdateCredentials(UUID admin, Optional<IdName> idName, Optional<IdRealName> realName, Optional<IdPassword> password)
    Update the given admin.

- ## Method Details

  - ### responseClass

    public Class<IdAResponseAdminUpdate> responseClass()
    Specified by:
      `responseClass` in interface `IdACommandType<IdAResponseAdminUpdate>`
    Returns:
      The response type associated with this command

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### admin

    public UUID admin()
    Returns the value of the `admin` record component.
    Returns:
      the value of the `admin` record component

  - ### idName

    public Optional<IdName> idName()
    Returns the value of the `idName` record component.
    Returns:
      the value of the `idName` record component

  - ### realName

    public Optional<IdRealName> realName()
    Returns the value of the `realName` record component.
    Returns:
      the value of the `realName` record component

  - ### password

    public Optional<IdPassword> password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component